sample=$1 ##mddcc
for histone in H3K27ac   H3K4me1  H3K9ac H3K27me3 H3K4me3  H3K9me2
do
## merge peak
cat ../Col-0/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak ../${sample}/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak | sort -k1,1 -k2,2n -k3,3n | awk -v OFS="\t" '{print $1,$2,$3}' | bedtools merge -i - > ${histone}.merge.peak.bed
## dispear or new
bedtools intersect -a ../Col-0/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak -b ../${sample}/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak -v > onlyInCol-0.${histone}.peak.bed
bedtools intersect -a ../${sample}/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak -b ../Col-0/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak -v > onlyIn${sample}.${histone}.peak.bed
## count
multiBigwigSummary BED-file --bwfiles ../Col-0/${histone}/${histone}.bw ../Col-0/INPUT/INPUT.bw ../${sample}/${histone}/${histone}.bw ../${sample}/INPUT/INPUT.bw --BED ${histone}.merge.peak.bed --labels Col-0 Col-0_INPUT ${sample} ${sample}_INPUT --outRawCounts scores_per_peak.${histone}.tab -out scores_per_peak.${histone}.npz
awk -v OFS="\t" '$0!~/^#/{if($4>$5){a=$4-$5}else{a=0}; if($6>$7){b=$6-$7}else{b=0};  print $1,$2,$3,a,b}' scores_per_peak.${histone}.tab > scores_per_peak.${histone}.tab.diff
## calculate diff
### loss
awk '$1!~/^#/' scores_per_peak.${histone}.tab.diff  | bedtools intersect -a - -b onlyInCol-0.${histone}.peak.bed -wo | bedtools intersect -a - -b onlyIn${sample}.${histone}.peak.bed -v | awk '$1!~/^#/{if($4>1 && $4/($5+0.01)>1.5 && $5<1){print $0}}' | awk 'ARGIND==1{a[$9]}ARGIND==2{if($4 in a){print $0}}' - ../Col-0/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak > newfilter.onlyInCol-0.${histone}.peak.bed
### new
awk '$1!~/^#/' scores_per_peak.${histone}.tab.diff  | bedtools intersect -a - -b onlyInCol-0.${histone}.peak.bed -v | bedtools intersect -a - -b onlyIn${sample}.${histone}.peak.bed -wo | awk '$1!~/^#/{if($5>1 && $5/($4+0.01)>1.5 && $4<1){print $0}}' | awk 'ARGIND==1{a[$9]}ARGIND==2{if($4 in a){print $0}}' - ../${sample}/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak > newfilter.onlyIn${sample}.${histone}.peak.bed
### diff 1.5
awk '$1!~/^#/' scores_per_peak.${histone}.tab.diff  | awk '$1!~/^#/{if(($4>2 && $4/($5+0.01)>1.5 ) || ($5>2 && $5/($4+0.01)>1.5) ){print $0}}' | bedtools intersect -a - -b newfilter.onlyInCol-0.${histone}.peak.bed -v | bedtools intersect -a - -b newfilter.onlyIn${sample}.${histone}.peak.bed -v | bedtools intersect -a - -b ../Col-0/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak -wo | awk 'ARGIND==1{a[$9]}ARGIND==2{if($4 in a){print $0}}' - ../Col-0/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak > newfilter.${histone}.diff2.Colpeak.bed

awk '$1!~/^#/' scores_per_peak.${histone}.tab.diff  | awk '$1!~/^#/{if(($4>2 && $4/($5+0.01)>1.5 ) ){print $0}}' | bedtools intersect -a - -b newfilter.onlyInCol-0.${histone}.peak.bed -v | bedtools intersect -a - -b newfilter.onlyIn${sample}.${histone}.peak.bed -v | bedtools intersect -a - -b ../Col-0/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak -wo | awk 'ARGIND==1{a[$9]}ARGIND==2{if($4 in a){print $0}}' - ../Col-0/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak > newfilter.${histone}.diff2down.Colpeak.bed

awk '$1!~/^#/' scores_per_peak.${histone}.tab.diff  | awk '$1!~/^#/{if( ($5>2 && $5/($4+0.01)>1.5) ){print $0}}' | bedtools intersect -a - -b newfilter.onlyInCol-0.${histone}.peak.bed -v | bedtools intersect -a - -b newfilter.onlyIn${sample}.${histone}.peak.bed -v | bedtools intersect -a - -b ../Col-0/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak -wo | awk 'ARGIND==1{a[$9]}ARGIND==2{if($4 in a){print $0}}' - ../Col-0/${histone}/${histone}_*ro*peak/${histone}_peaks.*ro*Peak > newfilter.${histone}.diff2up.Colpeak.bed

done
