prefix=$1 ## outprefix
in1=$2  ## input1
in2=$3  ## input2
gff="/public/home/qwzhou/project/Genome/TAIR10/TAIR10_GFF3_genes_transposons.gff"
genome="/public/home/qwzhou/project/Genome/TAIR10/hisat2index/TAIR10_allChr.fa"
fastp -Y 0 -i ${in1} -I ${in2} -o ${prefix}.R1.clean.fq.gz -O ${prefix}.R2.clean.fq.gz -h ${prefix}.fastp.html -j ${prefix}.fastp.json

hisat2 -p 6 -1 ${prefix}.R1.clean.fq.gz -2 ${prefix}.R2.clean.fq.gz -x ${genome} -S ${prefix}.sam

samtools sort -@ 6 -O BAM -o ${prefix}.sort.bam ${prefix}.sam
qualimap bamqc --java-mem-size=20G -bam ${prefix}.sort.bam -gff ${gff} -oc ${prefix}_count.matrix -outdir ${prefix}_bamqc

samtools view -bh -q 30 ${prefix}.sort.bam -o ${prefix}.sort.qual.bam

#tools required samtools bedtools macs2 qualimap phantompeakqualtools
sample=$1
qualimap bamqc --java-mem-size=20G -bam ./${sample}.sort.qual.bam -oc ${sample}.2_count.matrix -outdir ${sample}.2_bamqc
samtools index -b $sample.sort.qual.bam
bamCoverage -b $sample.sort.qual.bam -e -o $sample.bw 
Rscript /public/home/qwzhou/software/phantompeakqualtools/run_spp.R -c=./$sample.sort.qual.bam -savp -out=./$sample.txt > $sample.log.txt
