prefix=$1 ## outprefix
in1=$2  ## input1
in2=$3  ## input2
gff="/public/home/user/qwzhou/arabidopsis_shzky/TAIR10/TAIR10_GFF3_genes_transposons.gff"
genome="/public/home/user/qwzhou/arabidopsis_shzky/TAIR10/hisat2index/TAIR10_allChr.fa"
fastp -Y 0 -i ${in1} -I ${in2} -o ${prefix}.R1.clean.fq.gz -O ${prefix}.R2.clean.fq.gz -h ${prefix}.fastp.html -j ${prefix}.fastp.json

hisat2 --dta-cufﬂinks -p 6 -1 ${prefix}.R1.clean.fq.gz -2 ${prefix}.R2.clean.fq.gz -x ${genome} -S ${prefix}.sam

samtools sort -@ 6 -O BAM -o ${prefix}.sort.bam ${prefix}.sam
qualimap bamqc --java-mem-size=20G -bam ${prefix}.sort.bam -gff ${gff} -oc ${prefix}_count.matrix -outdir ${prefix}_bamqc

samtools view -bh -q 30 ${prefix}.sort.bam -o ${prefix}.sort.qual.bam

#tools required samtools bedtools macs2 qualimap phantompeakqualtools
sample=$1
norm="RPKM"
qualimap bamqc --java-mem-size=20G -bam ./${sample}.sort.qual.bam -oc ${sample}.2_count.matrix -outdir ${sample}.2_bamqc
samtools index -b $sample.sort.qual.bam
#bamCoverage -b $sample.sort.qual.bam -o $sample.forward.bw --normalizeTo1x 119667750 --minMappingQuality 20 --filterRNAstrand forward
#bamCoverage -b $sample.sort.qual.bam -o $sample.reverse.bw --normalizeTo1x 119667750 --minMappingQuality 20 --filterRNAstrand reverse
bamCoverage -b ${sample}.sort.qual.bam -o $sample.bw --normalizeUsing ${norm} --effectiveGenomeSize 119667750 --minMappingQuality 20
Rscript /public/home/user/soft/qualimap_v2.2/phantompeakqualtools/run_spp.R -c=./$sample.sort.qual.bam -savp -out=./$sample.txt > $sample.log.txt

sh ~/qwzhou/arabidopsis_shzky/RNA-Seq/run.bw.sh $sample

htseq-count -f bam -r pos ${sample}.sort.qual.bam ../../TAIR10/TAIR10_GFF3_genes.gtf > ${sample}.count
